Subject: RE: help finding kim watson
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Mon, 26 Nov 2001 15:16:58 -0800 (PST)

This is what I have for Kim.  The numbers have worked for me in the past.

Kim Watson
[email-masked]
[email-masked]
2001 Holcomb Blvd  # 2406
Houston, TX  77030
713-791-9201 (home)
713-853-3098 (work)

I talked to Lisa and we are going to meet at her house at 2:00 PM instead of
1:00 PM on Friday.  Do you need directions?

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, November 26, 2001 4:55 PM
To: [email-masked]
Subject: help finding kim watson

Cynthia,

I have been having trouble finding Kim.  Do you have her phone numbers?  and
her e-mail address?

We are putting together the Saturday dinner and I have been out of town, so
somehow we lost each other last week.  Any help would be great.

Thanks, Phyllis